summaryrefslogtreecommitdiff
path: root/system/postgresql/postgresql.SlackBuild
diff options
context:
space:
mode:
authorAdis Nezirovic <adis_at_linux.org.ba>2011-10-08 09:45:11 -0300
committerRobby Workman <rworkman@slackbuilds.org>2011-10-11 21:20:15 -0500
commitf7624e6796d0d4f6adb58b7dee1597376a6431b9 (patch)
treeab30fcc9111d4976d030ac38a26375f478b38215 /system/postgresql/postgresql.SlackBuild
parentba21b2a8745f81ee63b6fb86354e663ed7e80bbd (diff)
downloadslackbuilds-f7624e6796d0d4f6adb58b7dee1597376a6431b9.tar.gz
system/postgresql: Updated for version 9.1.1.
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'system/postgresql/postgresql.SlackBuild')
-rw-r--r--system/postgresql/postgresql.SlackBuild18
1 files changed, 7 insertions, 11 deletions
diff --git a/system/postgresql/postgresql.SlackBuild b/system/postgresql/postgresql.SlackBuild
index 4d99de49f9..1440925c9e 100644
--- a/system/postgresql/postgresql.SlackBuild
+++ b/system/postgresql/postgresql.SlackBuild
@@ -1,28 +1,26 @@
#!/bin/sh
## Slackware build script for PostgreSQL
-## $Revision: 125327c245d3 $
-## $Date: 2010/10/20 20:09:12 $
+## $Revision: 5ad45bfd049c $
+## $Date: 2011/09/27 08:41:46 $
##
-## Copyright 2007-2010 Adis Nezirovic <adis _at_ linux.org.ba>
+## Copyright 2007-2011 Adis Nezirovic <adis _at_ linux.org.ba>
## Licensed under GNU GPL v2
# Modified by the SlackBuilds.org Project
PRGNAM=postgresql
-VERSION=9.0.3
+VERSION=${VERSION:-9.1.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PG_UID=${PG_UID:-209}
PG_GID=${PG_GID:-209}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -60,7 +58,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on any and all errors
+set -e
rm -rf $TMP/$PRGNAM-$VERSION $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -111,10 +109,8 @@ done
cd $TMP/$PRGNAM-$VERSION
-( cd $PKG/usr/man || exit 1
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
cp -a COPYRIGHT HISTORY README doc/* $PKG/usr/doc/$PRGNAM-$VERSION/
rm -rf $PKG/usr/doc/$PRGNAM-$VERSION/{man.tar.gz,man1,manl,man7,postgres.tar.gz}